Search documentation of inets

# View Source http_uri (inets v9.2)

Old URI utility module, use uri_string instead

This module is deprecated since OTP 23. Use the module `uri_string` to properly handle URIs, this is the recommended module since OTP 21.

### Data types

Type definitions that are related to URI:

- `uri_part() = [byte()] | binary()` - Syntax according to the URI definition in RFC 3986, for example, "http://www.erlang.org/"

For more information about URI, see RFC 3986.

# Summary

## Functions

decode(QuotedData) deprecated

decode(EncodedPart) -> DecodePart

encode(Data) deprecated

encode(DecodedPart) -> EncodedPart

# Functions

Link to this function

# decode(QuotedData)

View Source (since OTP R15B01)
This function is deprecated. http_uri:decode/1 is deprecated; use uri_string:unquote function instead.

    -spec decode(QuotedData) -> Data when QuotedData :: unicode:chardata(), Data :: unicode:chardata().

decode(EncodedPart) -> DecodePart

> #### Warning

> Use `uri_string:unquote/1` instead

Decodes a possibly percent encoded URI part

Link to this function

# encode(Data)

View Source (since OTP R15B01)
This function is deprecated. http_uri:encode/1 is deprecated; use uri_string:quote function instead.

    -spec encode(Data) -> QuotedData when Data :: unicode:chardata(), QuotedData :: unicode:chardata().

encode(DecodedPart) -> EncodedPart

> #### Warning

> Use `uri_string:quote/1` instead

Performs percent encoding.